Support address
Support address: 5 operations of the ChaosDesk REST API.
- GET
/api/support_addressesRetrieves the collection of SupportAddress resources. - POST
/api/support_addressesCreates a SupportAddress resource. - GET
/api/support_addresses/{id}Retrieves a SupportAddress resource. - PATCH
/api/support_addresses/{id}Updates the SupportAddress resource. - DELETE
/api/support_addresses/{id}Removes the SupportAddress resource.
Retrieves the collection of SupportAddress resources.
Parameters
pageintegerquery- The collection page number
itemsPerPageintegerquery- The number of items per page
emailstringquerynamestringquerybrandstringquerybrand[]string[]querydefault_groupstringquerydefault_group[]string[]queryforwarding_statusstringqueryforwarding_status[]string[]queryorder[email]"asc" | "desc"queryorder[name]"asc" | "desc"queryorder[forwarding_status]"asc" | "desc"query
Responses
200SupportAddress collection403Forbidden
Example request
curl -X GET "https://yourcompany.chaosdesk.io/api/support_addresses" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" Creates a SupportAddress resource.
Request body application/json
emailstring (email)namestringrequiredbrandstring (iri-reference)default_groupstring | null (iri-reference)is_defaultbooleandefault_formstring | null (iri-reference)- Applied to new tickets received at this address (Zendesk: form by address via triggers).
Responses
201SupportAddress resource created400Invalid input403Forbidden422An error occurred
Example request
curl -X POST "https://yourcompany.chaosdesk.io/api/support_addresses" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{"name":"string"}' Retrieves a SupportAddress resource.
GET/api/support_addresses/{id}
Parameters
idstringpathrequired- SupportAddress identifier
Responses
200SupportAddress resource403Forbidden404Not found
Example request
curl -X GET "https://yourcompany.chaosdesk.io/api/support_addresses/{id}" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" Updates the SupportAddress resource.
PATCH/api/support_addresses/{id}
Parameters
idstringpathrequired- SupportAddress identifier
Request body application/merge-patch+json
emailstring (email)namestringbrandstring (iri-reference)default_groupstring | null (iri-reference)is_defaultbooleandefault_formstring | null (iri-reference)- Applied to new tickets received at this address (Zendesk: form by address via triggers).
Responses
200SupportAddress resource updated400Invalid input403Forbidden404Not found422An error occurred
Example request
curl -X PATCH "https://yourcompany.chaosdesk.io/api/support_addresses/{id}" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/merge-patch+json" \
-d '{"email":"string","name":"string"}' Removes the SupportAddress resource.
DELETE/api/support_addresses/{id}
Parameters
idstringpathrequired- SupportAddress identifier
Responses
204SupportAddress resource deleted403Forbidden404Not found
Example request
curl -X DELETE "https://yourcompany.chaosdesk.io/api/support_addresses/{id}" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json"